<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">

<struts-config>
   	<form-beans>
    		<form-bean name="subscribeActionForm" type="subscription.SubscribeActionForm" />
  	</form-beans>
  	<global-forwards>
    		<forward name="register" path="register.jsp" />
  	</global-forwards>
  	<action-mappings>
    		<action input="/subscription.jsp" name="subscribeActionForm" path="/subs" scope="session" type="subscription.SubscribeAction">
      	<forward name="register" path="/register.jsp" />
    		</action>
  	</action-mappings>
<message-resources parameter="subscription.application"/>
  	<plug-in className="org.apache.struts.validator.ValidatorPlugIn">
    		<set-property property="pathnames" value="/WEB-INF/validator-rules.xml,/WEB-INF/validation.xml" />
  	</plug-in>
</struts-config>
